/*
	Copyright 2003 Nicolas Couronneau, Jrme Hamm.

  This file is part of Colisciences.

    Colisciences is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Foobar; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/*! *******************************************************************
	created:	2003/10/06
	created:	6:10:2003   21:33
	filename: 	D:\CLES\PS\Colisciences\IColis\Packets.h
	file path:	D:\CLES\PS\Colisciences\IColis
	file base:	Packets
	file ext:	h
	author:		Jrme Hamm
	
	purpose:	Description of the packets used by the protocol.
*********************************************************************/

enum PACKETTYPE {GET_MODE = 0x10, GET_MODE_ACQ = 0x11, SET_AUTONOME = 0x12, SET_AUTONOME_ACQ = 0x13,
SET_LINKED = 0x14, START_DUMP = 0xE0, START_DUMP_ACQ = 0xE1, READ_INTERNAL_EEPROM = 0xC0, 
READ_INTERNAL_EEPROM_ACQ = 0xC1, START_ECHO = 0xE2, START_ECHO_ACQ = 0xE3, STOP_COMM = 0xE4, 
STOP_COMM_ACQ = 0xE4, CHANGE_PERIOD = 0xE6, CHANGE_PERIOD_ACQ = 0xE6, CHANGE_SAMPLE_COUNT = 0xE8, 
CHANGE_SAMPLE_COUNT_ACQ = 0xE8};
enum OPERATINGMODES {AUTONOME = 1, ATTACHE_PC = 2, SET_AUTONOME_DATA = 0x5E, SET_LINKED_DATA = 0xA4};

typedef struct tagGETCURRENTMODE{
	PACKETTYPE		DataType;			//! GET_MODE
	BYTE			PaketSize;
	OPERATINGMODES	OperatingMode;
	BYTE			VersionMajor;
	BYTE			VersionMinor;
} GETCURRENTMODE;
typedef struct tagSETAUTONOME{
	PACKETTYPE		DataType;			//! SET_AUTONOME
	BYTE			PaketSize;
	OPERATINGMODES	Data;
} SETAUTONOME;
typedef struct tagSETLINKED{
	PACKETTYPE		DataType;			//! SET_LINKED
	BYTE			PaketSize;
	OPERATINGMODES	Data;
} SETLINKED;


union Packet{
	GETCURRENTMODE	currentMode;
	SETAUTONOME		setAutonome;
	SETLINKED		setLinked;
};
